#!/usr/bin/perl
# Zażółciła się gęśla jaźń! (ąęśćńłſs)
#
@lst = `dir /b *.htm* *.txt *.tex`;

foreach $f (@lst) {
 print $f;
 open (FILE, "$f") or die "File cannot be opened: $!";
 @lines=<FILE>;
 close FILE;

 foreach $l (@lines) {
  if (($l !~ /^\\/) && ($l !~ /% !TEX encoding/)) {

# rules
$l =~ s/ſ/s/g;

$l =~ s/(\s|~|^)V/\1U/g;
$l =~ s/(\s|~|^)v/\1u/g;

$l =~ s/(\s|~|^)Y~/\1I~/g;
$l =~ s/(\s|~|^)y~/\1i~/g;

$l =~ s/(\s|~|^)Y /\1I /g;
$l =~ s/(\s|~|^)y /\1i /g;

$l =~ s/(T|t)(H|h)/\1/g;
$l =~ s/(\s|~|^)Ph/\1F/g;
$l =~ s/ph/\1f/g;

$l =~ s/( |^)\/( |$)/,\2/g;

$l =~ s/á/a/g;

$l =~ s/źi/zi/g;
$l =~ s/ći/ci/g;
$l =~ s/śi/si/g;

$l =~ s/(C|c)ż/\1z/g;
$l =~ s/\.v\./:/g;

# corr
$l =~ s/°/go/g;
$l =~ s/ē/en/g;
$l =~ s/ō/on/g;
$l =~ s/ā/an/g;
$l =~ s/ḿ/mi/g;
$l =~ s/ẃ/wi/g;
$l =~ s/^\% goamemmiwiom¶/\%/g;

# words
#$l =~ s/(\s|~|^)(S|s|ſ)abat/\1Szabat/g;
$l =~ s/(\s|~|^)Symon/\1Szymon/g;
#$l =~ s/(\s|~|^)Iakob/\1Iakub/gi;
$l =~ s/(\s|~|^)(C|c)hłubi/\1\2hlubi/g;

  }

# corr
$l =~ s/\\textsuperscript\{v\}/\% ***\nmu/g;

 }

 open (FILE, ">$f") or die "File cannot be overwritten: $!";
 for (@lines) { print FILE; }
 close FILE;
}
