#!/usr/bin/perl

use Encode qw(decode encode);

@lst = `dir /b *.htm* *.txt *.tex *.cls *.sty *.bib *.bst`;

foreach $f (@lst) {
  print $f;
  open (FILE, "$f") or die "File cannot be opened: $!";
  @lines=<FILE>;
  close FILE;

  foreach $l (@lines) {
   if ($l =~ /^\% \!TEX/) {
    if ($l =~ /TS-program/ ) { $l =~ s/pdf/xe/g; }
    if ($l =~ /encoding/ ) { $l =~ s/CP1250/UTF-8 Unicode/g; }
   } else {
     my $text = decode('cp1250', $l);
     $l = encode('utf8', $text);
   }
  }

  open (FILE, ">$f") or die "File cannot be overwritten: $!";
  for (@lines) { print FILE; }
  close FILE;
}
