#!/usr/bin/perl

use Encode qw(decode encode);

@lst = `dir /b *.htm* *.txt *.tex *.cls *.sty *.bib *.bst`;

foreach $f (@lst) {
  print $f;
  open (FILE, "$f") or die "File cannot be opened: $!";
  @lines=<FILE>;
  close FILE;

  foreach $l (@lines) {
   if ($l =~ /^\% \!TEX/) {
    if ($l =~ /TS-program/ ) { $l =~ s/xe/pdf/g; }
    if ($l =~ /encoding/ ) { $l =~ s/UTF-8 Unicode/CP1250/g; }
   } else {
     my $text = decode('utf8', $l);
     $l = encode('cp1250', $text);
	}
  }

  open (FILE, ">$f") or die "File cannot be overwritten: $!";
  for (@lines) { print FILE; }
  close FILE;
}
